<template>
    <f7-page 
        name="chat" 
        @page:beforein="onPageBeforeIn"
        ptr
        @ptr:refresh="onPageRefresh">
		<!-- Top Navbar -->
		<f7-navbar :sliding="false" large title-large="Chat">
            <f7-nav-title class="show-small-title">Pembeli &amp; Penjual</f7-nav-title>
		</f7-navbar>
        <f7-list no-hairlines>
            <f7-list-item title="Chat dengan Penjual" link="/chat/sender/">
                <f7-badge class="bg-pink">{{ totalSender.kformat() }}</f7-badge>
            </f7-list-item>
            <f7-list-item title="Chat dengan Pembeli" link="/chat/recipient/">
                <f7-badge class="bg-lightpurple">{{ totalRecipient.kformat() }}</f7-badge>
            </f7-list-item>
        </f7-list>       
	</f7-page>
</template>
<script>
import { mapGetters } from 'vuex';
export default {
    name: 'Chat',
	data(){
		return{};
	},
	computed: {
        ...mapGetters('auth', ['user']),
        ...mapGetters('chat', [
            'totalSender',
            'totalRecipient',
        ])
    },
    methods: {
        convertAmpersand(text){
            return text.replace(/&amp;/g, '&');
        },
        getChats(){
            const self = this;
            const app = self.$f7;

            if(self.user.role.slug == 'public'){
                app.preloader.show('green');
            }

            self.$store.dispatch('chat/getChats', {
                totalonly: true
            }).then((response)=> {
                if(self.user.role.slug == 'public'){
                    app.preloader.hide();
                }
            });
        },
        onPageBeforeIn(){
            const self = this;
            const app = self.$f7;

            self.getChats();
        },
        onPageRefresh(e, done){
			const self = this;
			const app = self.$f7;

            self.getChats();
			done();	
		},
    }
}
</script>
